#
# Make.inc.in
#
# Version:	$Id: Make.inc.in,v 1.46 2003/01/27 18:21:28 aland Exp $
#

# Location of files.
prefix		= /usr/local/radius
exec_prefix	= ${prefix}
sysconfdir	= ${prefix}/etc
localstatedir	= ${prefix}/var
libdir		= ${exec_prefix}/lib
bindir		= ${exec_prefix}/bin
sbindir		= ${exec_prefix}/sbin
mandir		= ${prefix}/man
datadir		= ${prefix}/share
dictdir		= $(datadir)/freeradius
logdir		= ${localstatedir}/log/radius
raddbdir	= ${sysconfdir}/raddb
radacctdir	= ${logdir}/radacct
top_builddir	= /usr/src/802/freeradius/radiusd
top_srcdir	= .

MAKE		= /usr/bin/gmake
CC		= gcc
RANLIB		= ranlib
INCLUDE		= 
CFLAGS		= $(INCLUDE) -g -O2 -D_REENTRANT -D_POSIX_PTHREAD_SEMANTICS -Wall -D_GNU_SOURCE -g -Wshadow -Wpointer-arith -Wcast-qual -Wcast-align -Wwrite-strings -Wstrict-prototypes -Wmissing-prototypes -Wmissing-declarations -Wnested-externs -W -Wredundant-decls -Wundef 
LIBPREFIX	= lib

LIBTOOL		= /usr/src/802/freeradius/radiusd/libtool
ACLOCAL		= aclocal
AUTOCONF	= autoconf
AUTOHEADER	= autoheader
INSTALL		= ${top_builddir}/install-sh -c
INSTALL_PROGRAM	= ${INSTALL}
INSTALL_DATA	= ${INSTALL} -m 644
INSTALL_SCRIPT	= ${INSTALL_PROGRAM}
INSTALLSTRIP	= 

LCRYPT		= -lcrypt
LIBS		= -lnsl -lresolv  -lpthread 
LDFLAGS		=  

LOGDIR		= ${logdir}
RADDBDIR	= ${raddbdir}
RUNDIR		= ${localstatedir}/run/radiusd
SBINDIR		= ${sbindir}
RADIR		= ${radacctdir}

LIBLTDL		= -lltdl
LIBLTDLPATH	= 
INCLTDL		= 

USE_SHARED_LIBS	= yes
USE_STATIC_LIBS = yes
STATIC_MODULES	= 

SNMP_INCLUDE	= 
SNMP_LIBS	= 

#
#  SQL driver defines
#
SQL_ODBC_LIBS = @ODBC_LIBS@
SQL_ODBC_INCLUDE = @ODBC_INCLUDE@

RADIUSD_MAJOR_VERSION	= 1
RADIUSD_MINOR_VERSION	= 0.0-pre0
RADIUSD_VERSION		= 1.0.0-pre0

MODULES			=  rlm_acct_unique rlm_always rlm_attr_filter rlm_attr_rewrite rlm_chap rlm_counter rlm_dbm rlm_detail rlm_digest rlm_eap rlm_exec rlm_expr rlm_fastusers rlm_files rlm_ippool rlm_krb5 rlm_ldap rlm_mschap rlm_ns_mta_md5 rlm_pam rlm_pap rlm_passwd rlm_preprocess rlm_radutmp rlm_realm rlm_sql rlm_unix rlm_x99_token
